quaternion_common.hpp File Reference

Go to the source code of this file.

## Functions

template<typename T , qualifier Q>
GLM_FUNC_DECL qua< T, Q > | conjugate (qua< T, Q > const &q)
template<typename T , qualifier Q>
GLM_FUNC_DECL qua< T, Q > | inverse (qua< T, Q > const &q)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 4, bool, Q > | isinf (qua< T, Q > const &x)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 4, bool, Q > | isnan (qua< T, Q > const &x)
template<typename T , qualifier Q>
GLM_FUNC_DECL qua< T, Q > | lerp (qua< T, Q > const &x, qua< T, Q > const &y, T a)
template<typename T , qualifier Q>
GLM_FUNC_DECL qua< T, Q > | mix (qua< T, Q > const &x, qua< T, Q > const &y, T a)
template<typename T , qualifier Q>
GLM_FUNC_DECL qua< T, Q > | slerp (qua< T, Q > const &x, qua< T, Q > const &y, T a)

## Detailed Description

GLM_EXT_quaternion_common

Definition in file quaternion_common.hpp.